import React from 'react';

declare type Props = {
    /**
     * The HTML tag to use for the wrapper element.
     * @default 'span'
     */
    as?: string;
    /**
     * The balance ratio of the wrapper width (0 <= ratio <= 1).
     * 0 means the wrapper width is the same as the container width (no balance, browser default).
     * 1 means the wrapper width is the minimum (full balance, most compact).
     * @default 1
     */
    ratio?: number;
    children?: React.ReactNode;
};
declare const Balancer: React.FC<Props>;

export { Balancer as default };
